diff -Nur code_orig/CMakeModules/CheckDepends.cmake code/CMakeModules/CheckDepends.cmake
--- code_orig/CMakeModules/CheckDepends.cmake	2011-03-15 12:14:24.080824094 +0100
+++ code/CMakeModules/CheckDepends.cmake	2011-03-15 12:20:51.462031215 +0100
@@ -12,7 +12,7 @@
 # CHECK_UNDEFINED_SYMBOL(PNG_LIBRARY inflate INFLATE_FOUND)
 #
 MACRO(CHECK_UNDEFINED_SYMBOL MYLIBRARY SYMBOL SYMBOL_FOUND)
-  SET(${SYMBOL_FOUND} TRUE)
+  SET(${SYMBOL_FOUND} FALSE)
   IF(WIN32)
     # Always TRUE under Windows because we are using static libraries
   ELSEIF(APPLE)
@@ -31,7 +31,7 @@
       # Use objdump to check if a library is using an external symbol
       EXEC_PROGRAM(${CMAKE_OBJDUMP} ARGS "-T ${${MYLIBRARY}} | grep ${SYMBOL}" OUTPUT_VARIABLE OBJDUMP_SYMBOL)
       IF(OBJDUMP_SYMBOL MATCHES "UND")
-        SET(${SYMBOL_FOUND} FALSE)
+        SET(${SYMBOL_FOUND} TRUE)
       ENDIF(OBJDUMP_SYMBOL MATCHES "UND")
     ENDIF(CMAKE_OBJDUMP)
   ENDIF(WIN32)
@@ -48,7 +48,7 @@
 # CHECK_LINKED_LIBRARY(PNG_LIBRARY ZLIB_LIBRARY ZLIB_FOUND)
 #
 MACRO(CHECK_LINKED_LIBRARY MYLIBRARY OTHERLIBRARY LIBRARY_FOUND)
-  SET(${LIBRARY_FOUND} FALSE)
+  SET(${LIBRARY_FOUND} TRUE)
   IF(WIN32)
     # Always FALSE under Windows because we are using static libraries
   ELSEIF(APPLE)
@@ -70,7 +70,7 @@
       # Use objdump to check if a library is linked to another library
       EXEC_PROGRAM(${CMAKE_OBJDUMP} ARGS "-p ${${MYLIBRARY}} | grep ${LIBNAME}" OUTPUT_VARIABLE OBJDUMP_LIBRARY)
       IF(NOT OBJDUMP_LIBRARY MATCHES "NEEDED")
-        SET(${LIBRARY_FOUND} TRUE)
+        SET(${LIBRARY_FOUND} FALSE)
       ENDIF(NOT OBJDUMP_LIBRARY MATCHES "NEEDED")
     ENDIF(CMAKE_OBJDUMP)
   ENDIF(WIN32)
